import java.io.BufferedReader;
import java.io.File;
import java.io.InputStreamReader;

///////////////////////////////
///  Only tested on Windows ///
///////////////////////////////
public class SignJar {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		File dir = new File("<location full of bundles to be signed>");

		for (File file : dir.listFiles()) {
			signJar(file.getPath());
		}

	}

	private static String formatPath(String fullJarPath) {
		return fullJarPath.replaceAll("\\\\", "\\\\\\\\");
	}

	private static void signJar(String fullJarPath) {
		Process process = null;
		try {

			System.out.println("Signing " + formatPath(fullJarPath));
            //place your generated keystore in C:\\DEV\\SEC\\ or any location of your choice
			process = Runtime
					.getRuntime()
					.exec("jarsigner -keystore C:\\DEV\\SEC\\ -storepass 123456 -keypass 123456 "
							+ formatPath(fullJarPath) + " myself");

			BufferedReader in = new BufferedReader(new InputStreamReader(
					process.getInputStream()));

			String line = null;
			while ((line = in.readLine()) != null) {
				System.out.println(line);
			}

		} catch (Exception e) {
			e.printStackTrace();
		} finally {
			process.destroy();
		}
	}

}
